angular.module('admin')
.controller('OrderController', function($scope, $http, $route, $window){
  $scope.order = [];
  $scope.mensagem = '';
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestOrder();
  };
  
  $scope.reload = function(){
    $scope.requestOrder();
  };

  $scope.requestOrder = function(){
    $http.get('../../api/seller/dock/'+$scope.dock)
    .success(function(order){
      $scope.order = order;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Você não tem pedidos';
    });
  };

  $scope.submeter = function(){
    var start = $scope.start;
    var final = $scope.final;

    var yearStart = start.getFullYear();
    var monthStart = start.getMonth() < 9 ? "0" + (start.getMonth() + 1) : (start.getMonth() + 1);
    var dayStart = start.getDate() < 10 ? "0" + start.getDate() : start.getDate();

    var yearFinal = final.getFullYear();
    var monthFinal = final.getMonth() < 9 ? "0" + (final.getMonth() + 1) : (final.getMonth() + 1);
    var dayFinal = final.getDate() < 10 ? "0" + final.getDate() : final.getDate();

    var dateStart = yearStart+"-"+monthStart+"-"+dayStart;
    var dateFinal = yearFinal+"-"+monthFinal+"-"+dayFinal;

    $http.get("../../api/seller/dock/"+$scope.dock+"/"+dateStart+"/"+dateFinal)
    .success(function(order){
      $scope.order = order;
    })
    .error(function(err){
      $scope.mensagem = "Não foi possível realizar sua busca, por favor tente novamente!";
    })
  };
})
.controller('OrderIdController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = {};
  $scope.mensagem = '';
  $scope.item = [];
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  if ($routeParams.orderId) {
    $http.get('../../api/seller/dock/'+$scope.dock+'/'+$routeParams.orderId)
    .success(function(order){
      $scope.order = order;
      if (order.status == "canceled") {
        $('.status').addClass('alert alert-danger');
        $('.value').removeClass('border-dark').addClass('border-danger');
        $('.hd').removeClass('bg-dark').addClass('bg-danger');
        $('.ft').removeClass('bg-dark').addClass('bg-danger');
        $('#fp').addClass('dp');
      }else if (order.status == "invoiced") {
        $('.status').addClass('alert alert-success');
        $('.value').removeClass('border-dark').addClass('border-success');
        $('.hd').removeClass('bg-dark').addClass('bg-success');
        $('.ft').removeClass('bg-dark').addClass('bg-success');
        $('#fp').addClass('dp');
      }else {
        $('.status').addClass('alert alert-warning');
      }
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter informações da venda';
    })

  }

  $scope.inicio = function(){
    $scope.items();
  };

  $scope.items = function(){
    $http.get('../../api/seller/items/'+$routeParams.orderId)
    .success(function(item){
      $scope.item = item;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível obter informações dos itens da venda';
    })
  }

});
